<html lang="zh">
<head>
    <meta charset="UTF-8">
    <title>录播节目查询</title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <link href="{{ mix('/css/app.css') }}" rel="stylesheet"/>
</head>
<body>
@include("common.header")
<div class="block my-2">
    <a class="px-6 py-2 inline-block rounded-full bg-cyan-600 text-white"
       href="{{ route("program.construct.add") }}">添加</a>
    <a class="px-6 py-2 inline-block rounded-full bg-cyan-600 text-white"
       href="{{ route("program.construct.batch_add") }}">节目单导入</a>
</div>
<table class="table-auto border-collapse w-full lg:border lg:border-black">
    <thead>
    <tr class="border border-black sticky bg-white lg:static top-0 left-0 right-0">
        <td>节目名称</td>
        <td>点播及追加</td>
        <td>节目开始</td>
        <td>节目结束时的画面</td>
    </tr>
    </thead>
    <tbody>
    @foreach($programs as $program)
        <tr>
            <td>
                <a href="{{route("program.construct.edit", ["program"=>$program->id])}}">编辑</a>
                <span title="节目">{{$program->name}}</span>
                <span title="难度">{{$program->difficulty}}</span>
                <span title="要求">{{$program->desc}}</span>
            </td>
            <td>
                @foreach($program->appends as $append)
                    <x-append :append="$append"></x-append>
                @endforeach
            </td>
            <td>
                @foreach($program->video_pivots as $video_pivot)
                    <x-links.video_link :bvid="$video_pivot->video_bvid" :part="$video_pivot->start_part" :time="$video_pivot->start_time">
                        <div>{{$video_pivot->created_at}} P{{$video_pivot->start_part}}#{{$video_pivot->start_time}}</div>
                        @if($video_pivot->start_image)
                            <img width="300" src="{{$video_pivot->start_image}}" alt="开始时的画面">
                        @else
                            节目开始位置
                        @endif
                    </x-links.video_link>
                @endforeach
            </td>
            <td>
                @foreach($program->video_pivots as $video_pivot)
                    <x-links.video_link :bvid="$video_pivot->video_bvid" :part="$video_pivot->stop_part" :time="$video_pivot->stop_time">
                        <div>P{{$video_pivot->stop_part}}#{{$video_pivot->stop_time}}</div>
                        @if($video_pivot->start_image)
                            <img width="300" src="{{$video_pivot->stop_image}}" alt="结束时的画面">
                        @else
                            节目结束位置
                        @endif
                    </x-links.video_link>
                @endforeach
            </td>
        </tr>
    @endforeach
    </tbody>
</table>
{{ $programs->links() }}
@include("common.footer")
</body>
</html>
