<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/
// 对外列表
Route::redirect('/', '/programs');
Route::get('/comments', ["\\App\\Http\\Controllers\\CommentQueryController","index"]);
Route::get('/video/{video}', ["\\App\\Http\\Controllers\\VideoQueryController","info"]);
Route::get('/programs', ["\\App\\Http\\Controllers\\ProgramQueryController","index"]);
Route::get('/programs/{program}/video', ["\\App\\Http\\Controllers\\ProgramQueryController","videos"]);
Route::get('/danmakus', ["\\App\\Http\\Controllers\\DanmakuQueryController","index"]);
Route::get('/danmakus/{bvid}', ["\\App\\Http\\Controllers\\DanmakuQueryController","specific_search"]);
Route::get('/upload', ["\\App\\Http\\Controllers\\FileController","index"]);
Route::post('/upload', ["\\App\\Http\\Controllers\\FileController","upload"]);
// 建设部分
// 节目建设
Route::get('/programs/construct', ["\\App\\Http\\Controllers\\ProgramConstructController","index"])->name("program.construct.list");
Route::get('/programs/construct/add', ["\\App\\Http\\Controllers\\ProgramConstructController","add"])->name("program.construct.add");
Route::post('/programs/construct/add', ["\\App\\Http\\Controllers\\ProgramConstructController","create"])->name("program.construct.create");
Route::get('/programs/construct/batch', ["\\App\\Http\\Controllers\\ProgramConstructController","batch_add"])->name("program.construct.batch_add");
Route::post('/programs/construct/batch', ["\\App\\Http\\Controllers\\ProgramConstructController","batch_create"])->name("program.construct.batch_create");
Route::get('/programs/construct/{program}', ["\\App\\Http\\Controllers\\ProgramConstructController","edit"])->name("program.construct.edit");
Route::post('/programs/construct/{program}', ["\\App\\Http\\Controllers\\ProgramConstructController", "submit"])->name("program.construct.submit");
// 节目关联视频建设
Route::get("/programs/construct/{program}/video", ["\\App\\Http\\Controllers\\ProgramVideoConstructController","index"])->name("program.construct.video.list");
Route::get("/programs/construct/{program}/video/add", ["\\App\\Http\\Controllers\\ProgramVideoConstructController","add"])->name("program.construct.video.add");
Route::post("/programs/construct/{program}/video/add", ["\\App\\Http\\Controllers\\ProgramVideoConstructController","create"])->name("program.construct.video.create");
Route::get("/programs/construct/video/{program_video}", ["\\App\\Http\\Controllers\\ProgramVideoConstructController","edit"])->name("program.construct.video.edit");
Route::post("/programs/construct/video/{program_video}", ["\\App\\Http\\Controllers\\ProgramVideoConstructController","submit"])->name("program.construct.video.submit");
// 节目关联点播建设
Route::get('/programs/construct/{program}/append', ["\\App\\Http\\Controllers\\ProgramAppendConstructController","index"])->name("program.construct.append.list");
Route::get('/programs/construct/{program}/append/add', ["\\App\\Http\\Controllers\\ProgramAppendConstructController","add"])->name("program.construct.append.add");
Route::post('/programs/construct/{program}/append/add', ["\\App\\Http\\Controllers\\ProgramAppendConstructController","create"])->name("program.construct.append.create");
Route::get('/programs/construct/append/{append}', ["\\App\\Http\\Controllers\\ProgramAppendConstructController","edit"])->name("program.construct.append.edit");
Route::post('/programs/construct/append/{append}', ["\\App\\Http\\Controllers\\ProgramAppendConstructController","submit"])->name("program.construct.append.submit");
